# Generated by Django 4.2.13 on 2024-08-28 08:57

from django.db import migrations, models


def create_worker_mgmt_permission(apps, schema):
    User = apps.get_model("users", "User")

    User.objects.all().update(
        can_manage_workers=models.F("can_create_worker_version")
    )

class Migration(migrations.Migration):

    dependencies = [
        ("users", "0004_user_scopes"),
    ]

    operations = [
        migrations.AddField(
            model_name="user",
            name="can_manage_workers",
            field=models.BooleanField(default=False, help_text="Allows a user to update workers."),
        ),
        migrations.RunPython(
            create_worker_mgmt_permission,
            reverse_code=migrations.RunPython.noop,
            elidable=True
        )
    ]
